curl --request GET \
--url https://api.example.com/api/files/{id} \
--header 'Authorization: <authorization>'{
"data": {
"file": {
"id": 1,
"project_id": 4,
"name": "checkout-flow.docx",
"url": "https://...r2.cloudflarestorage.com/project-resources/...?X-Amz-...",
"description": null,
"mime_type": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
"size_bytes": 245000,
"status": "uploaded",
"created_by": "user-id",
"created_at": "2026-03-20T10:30:00Z",
"updated_at": "2026-03-20T10:30:00Z"
}
}
}
Retrieve a single file by ID
curl --request GET \
--url https://api.example.com/api/files/{id} \
--header 'Authorization: <authorization>'{
"data": {
"file": {
"id": 1,
"project_id": 4,
"name": "checkout-flow.docx",
"url": "https://...r2.cloudflarestorage.com/project-resources/...?X-Amz-...",
"description": null,
"mime_type": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
"size_bytes": 245000,
"status": "uploaded",
"created_by": "user-id",
"created_at": "2026-03-20T10:30:00Z",
"updated_at": "2026-03-20T10:30:00Z"
}
}
}
Bearer <your-api-key>{
"data": {
"file": {
"id": 1,
"project_id": 4,
"name": "checkout-flow.docx",
"url": "https://...r2.cloudflarestorage.com/project-resources/...?X-Amz-...",
"description": null,
"mime_type": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
"size_bytes": 245000,
"status": "uploaded",
"created_by": "user-id",
"created_at": "2026-03-20T10:30:00Z",
"updated_at": "2026-03-20T10:30:00Z"
}
}
}
curl -X GET \
https://dash.empirical.run/api/files/1 \
-H "Authorization: Bearer $EMPIRICALRUN_KEY"
Was this page helpful?